import request from "@/utils/request";
import { AxiosPromise } from "axios";

export function getWorkShop(
    queryParams: object
): AxiosPromise<PageResult<any[]>> {
  return request({
    url: "/api/v1/quality/stat/workShop/list",
    method: "post",
    data: queryParams,
  });
}

export function getWorkOrderInfo(
    queryParams: object
): AxiosPromise<PageResult<any[]>> {
  return request({
    url: "/api/v1/quality/stat/workOrderInfoRate/page",
    method: "post",
    data: queryParams,
  });
}

export function getWorkInfoRate(
    queryParams: object
): AxiosPromise<PageResult<any[]>> {
  return request({
    url: "/api/v1/quality/stat/infoRate/page",
    method: "post",
    data: queryParams,
  });
}
